# ionoscloud\_auto\_certificate\_provider

The **CM Provider data source** can be used to search for and return an existing certificate manager provider. You can provide a string for either id or name parameters which will be compared with provisioned providers. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search string so that it is specific enough to return only one result.

## Example Usage

### By ID

```hcl
data "ionoscloud_auto_certificate_provider" "example" {
  id			= "provider_id"
  location      = "provider_location"
}
```

### By Name

```hcl
data "ionoscloud_auto_certificate_provider" "example" {
  name			= "Provider Name Example"
  location      = "provider_location"
}
```

## Argument Reference

The following arguments are supported:

* `location` - (Required)\[string] The location of the provider. Available locations: `de/fra`, `de/fra/2`
* `name` - (Optional)\[string] Name of an existing provider that you want to search for.
* `id` - (Optional)\[string] ID of the provider you want to search for.

Either `name` or `id` must be provided. If none, or both are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `email` - \[string] The email address of the certificate requester.
* `server` - \[string] The URL of the certificate provider.
* `external_account_binding` - \[list]
  * `key_id` - \[string] The key ID of the external account binding.
  * `key_secret` - \[string] The key secret of the external account binding


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/certificate_manager_provider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
